Bug 46 - Medium font not always displayed as "Bold" fonts
Summary: Medium font not always displayed as "Bold" fonts
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2.1
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Keith Packard
QA Contact:
URL: ftp://ftp.gnome.ru/fonts/urw/release/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-14 10:58 UTC by Frederic Crozat
Modified: 2003-09-04 16:08 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Nimbus Roman No9 L Medium "broken" font (106.27 KB, application/octet-stream)
2003-03-26 01:06 UTC, Frederic Crozat
Details

Description Frederic Crozat 2003-03-14 10:58:05 UTC
"Nimbus Roman No9 L" medium fonts from tarball at
ftp://ftp.gnome.ru/fonts/urw/release/urw-fonts-1.0.7pre22.tar.bz2 have a
"Medium" weight, in constrast with older version of the package (shipped in RH
or Debian) which have a "Bold" weight..

This causes GTK2 and QT applications to display "Nimbus Roman No9 L Medium" and
"Nimbus Roman No9 L Italic Medium" as Regular fonts.. Strangely, when using xfd
or xterm -fa, these fonts are displayed correctly..
Comment 1 Keith Packard 2003-03-22 09:25:49 UTC
If these are type-1 fonts, can you tell what their style names are?  And whether
they indicate 'bold' in the type-1 information?
Comment 2 Frederic Crozat 2003-03-26 01:06:30 UTC
Created attachment 39 [details]
Nimbus Roman No9 L Medium "broken" font
Comment 3 Frederic Crozat 2003-03-26 01:07:40 UTC
I'm not a font expert, so I attached one of the fonts which is triggering the
strange fontconfig behaviour.. 

Changing "Medium" to "Bold" weight using pfaedit fixes the behaviour..
Comment 4 Keith Packard 2003-04-11 15:08:54 UTC
I've taken a look at the URW fonts and I'm not quite sure what to do.  Nimbus
Roman No9 L comes in two styles -- Regular and Medium.  By name, one would
assume that neither of these were bold, although Regular is traditionally
somewhat lighter than Medium.  I suppose the new version is technically correct
in not setting the bold attribute, if in fact the weights are considered
according to the style names.  But, the Medium face really does look more like
at least semibold to my eye.

Perhaps in the future, we can consider adding code to fontconfig to try and
guess information from the font style name, but I'm loath to do that at this
point in the release cycle.
Comment 5 Keith Packard 2003-04-11 15:18:44 UTC
Heh.  Spoke moments too soon.  g2@magestudios.net (Gerard Escalante) provided
a patch along with bug #47 that fixed this problem by using the FontInfo
dictionary available in the URW fonts which appears to provide 'regular' and
'medium' weight names.
Comment 6 Frederic Crozat 2003-04-22 08:25:01 UTC
Reopening : with fontconfig 2.2.0, Medium is displayed as "Bold" (ok) but
Regular is also displayed as "Bold" :((
Comment 7 Keith Packard 2003-09-05 09:08:16 UTC
With current fontconfig CVS, I'm getting distinguishable weight values for all
of the Nimbus Roman No9 L italic files that I have.  I think that means this is
fixed in CVS, although may still be broken in the 2.2 branch.  I'm going to mark
this as 'fixed'.

/usr/share/fonts/type1/gsfonts/n021024l.pfb: Nimbus Roman No9 L:style=Medium
Italic:weight=200
/home/keithp/.fonts/urw/n021023l.pfb: Nimbus Roman No9 L:style=Regular
Italic:weight=80
/usr/X11R6/lib/X11/fonts/Type1/n021023l.pfb: Nimbus Roman No9 L:style=Regular
Italic:weight=80
/usr/share/fonts/type1/gsfonts/n021023l.pfb: Nimbus Roman No9 L:style=Regular
Italic:weight=80
/usr/X11R6/lib/X11/fonts/Type1/n021024l.pfb: Nimbus Roman No9 L:style=Medium
Italic:weight=200
/home/keithp/.fonts/urw/n021024l.pfb: Nimbus Roman No9 L:style=Medium
Italic:weight=100


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.